Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Masking Gnome 3
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3, 4, 5, 6, 7  Next  
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
OldTango
Guru
Guru


Joined: 21 Feb 2004
Posts: 496

PostPosted: Sun Dec 01, 2013 4:05 pm    Post subject: Masking Gnome 3 Reply with quote

Consolidating "masking gnome 3 issues into this thread for now. Made sticky. --pjp, 2014.01.08


Gnome-3.8 is now stable but I wish to continue to use Gnome-2.32 on several of my systems for the time being. I have been trying to mask gnome-3.8 but can't seem to solve issues with the packages.
Code:

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

gnome-extra/evolution-data-server:0

  (gnome-extra/evolution-data-server-3.8.5::gentoo, ebuild scheduled for merge) pulled in by
    >=gnome-extra/evolution-data-server-3.5.3:= required by (gnome-base/gnome-shell-3.8.4-r1::gentoo, ebuild scheduled for merge)

  (gnome-extra/evolution-data-server-2.32.3-r3::gentoo, installed) pulled in by
    <gnome-extra/evolution-data-server-3.6 required by (gnome-extra/evolution-webcal-2.32.0::gentoo, installed)

and
Code:

!!! The ebuild selected to satisfy ">=net-misc/networkmanager-0.9.6[introspection]" has unmet requirements.
- net-misc/networkmanager-0.9.8.8::gentoo USE="consolekit dhcpcd gnutls introspection nss ppp wext wifi -avahi -bluetooth -connection-sharing -dhclient -modemmanager -resolvconf -systemd -test -vala"

  The following REQUIRED_USE flag constraints are unsatisfied:
    exactly-one-of ( nss gnutls )

  The above constraints are a subset of the following complete expression:
    modemmanager? ( ppp ) exactly-one-of ( nss gnutls ) exactly-one-of ( dhclient dhcpcd )

(dependency required by "gnome-base/gnome-shell-3.8.4-r1[networkmanager]" [ebuild])
(dependency required by "gnome-base/gdm-3.8.4-r3[gnome-shell]" [ebuild])
(dependency required by "gnome-base/gnome-2.32.1-r2" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])

My Package Mask
Code:

>=gnome-base/gnome-3.6.2


I have added -systemd to /etc/portage/make.conf USE section.

What packages do I need to mask to block the installation of gnome-3.8 and systemd.

TIA.......... :?
Back to top
View user's profile Send private message
roki942
Apprentice
Apprentice


Joined: 18 Apr 2005
Posts: 162
Location: Seattle

PostPosted: Mon Dec 02, 2013 5:59 am    Post subject: Reply with quote

You may want to take a look at your world file for any gnome items that will pull in upgrades.

gdm pulled in a whole bunch of 3.8 for me .... not having it there keeps it at 2.20.11 without it updating or needing to mask it
Back to top
View user's profile Send private message
johnny99
Apprentice
Apprentice


Joined: 24 Oct 2005
Posts: 232
Location: Berkeley, California

PostPosted: Mon Dec 02, 2013 8:23 am    Post subject: Reply with quote

3.8 going stable is quite a bomb shell.

Searching my world file gave me some good hints, but I had to use trial and error.

I use KDE, but like Evolution for a mail user agent.

With gnome 3.8 requiring systemd to replace openrc and udev, I'm not going to do it.

My mask list is now pretty big.
>mail-client/evolution-3.0
>gnome-extra/evolution-data-server-3.0
>=gnome-base/gnome-control-center-3.8
>gnome-base/gnome-settings-daemon-3.0
>gnome-base/gnome-common-3.7.0
>=gnome-base/gnome-3.6.2
=sys-apps/systemd-208-r2
gnome-base/gnome-menus:3
>=gnome-base/gconf-3.2
>gnome-base/libgnome-keyring-3.0
>gnome-extra/gconf-editor-3.0
>gnome-extra/gnome-system-monitor-3.0
>x11-themes/gnome-icon-theme-3.8
>=dev-libs/libgdata-0.13.0
>gnome-base/gnome-keyring-3.0

It seems I will have to migrate away from Evolution, unless gnome migrates away from the systemd requirement.
Back to top
View user's profile Send private message
Tony0945
Guru
Guru


Joined: 25 Jul 2006
Posts: 300

PostPosted: Tue Dec 03, 2013 11:00 pm    Post subject: Reply with quote

Complete update on the Gnome2 box. First I changed the profile from desktop/gnome to plain desktop using 'eselect profile`. The gnome profile kept tried to bring in gnome-common-3.7.4 even though I had it masked. I had made the following additions to /etc/oertage/package.mask

    >=dev-libs/libgweather-3.0
    >=gnome-base/libgnomekbd-3.0
    =media-libs/libcanberra-0.28-r4
    # Core Applications
    >=app-accessibility/orca-3.0
    >=gnome-base/gdm-3.0
    >=gnome-base/gnome-applets-3.0
    >=gnome-base/gnome-keyring-3.0
    >=gnome-base/gnome-menus-3.0
    >=gnome-base/gnome-panel-3.0
    >=gnome-base/gnome-session-3.0
    >=gnome-base/gnome-settings-daemon-3.0
    >=gnome-base/gnome-control-center-3.0
    >=gnome-base/gnome-shell-3.0
    >=gnome-base/libgnome-keyring-3.0
    >=gnome-base/nautilus-3.0
    >=x11-wm/metacity-2.34
    >=x11-wm/mutter-3.0
    # Extra Applications
    >=app-arch/file-roller-3.0
    >=app-cdr/brasero-3.0
    >=app-crypt/seahorse-3.0
    >=app-editors/gedit-3.0
    >=app-editors/gedit-plugins-3.0
    >=app-text/gtranslator-2.90
    >=app-text/evince-3.0
    >=dev-util/anjuta-3.0
    >=app-pda/gtkpod-2.1.0
    >=dev-util/devhelp-3.0
    >=gnome-extra/drwright-3.0
    >=gnome-extra/evolution-data-server-3.0
    >=gnome-extra/evolution-exchange-3.0
    >=gnome-extra/gcalctool-6.0
    >=gnome-extra/gconf-editor-3.0
    >=gnome-extra/gnome-color-manager-3.0
    >=gnome-extra/gnome-games-3.0
    >=gnome-extra/gnome-games-extra-data-3.0
    >=gnome-extra/gnome-media-2.32.0-r300
    >=gnome-extra/gnome-packagekit-3.0
    >=gnome-extra/gnome-power-manager-3.0
    >=gnome-extra/gnome-screensaver-3.0
    >=gnome-extra/gnome-system-monitor-3.0
    >=gnome-extra/gnome-tweak-tool-3.0
    >=gnome-extra/gnome-user-share-3.0
    >=gnome-extra/gnome-utils-3.0
    #>=gnome-extra/gucharmap-3.0
    >=gnome-extra/mousetweaks-3.0
    >=gnome-extra/nautilus-sendto-3.0
    gnome-extra/office-runner
    >=gnome-extra/zenity-3.0
    >=mail-client/evolution-3.0
    >=media-gfx/eog-3.0
    >=media-sound/rhythmbox-2.90
    >=media-sound/sound-juicer-2.99
    >=media-video/cheese-3.0
    >=media-video/totem-3.0
    >=net-analyzer/gnome-nettool-3.0
    >=net-im/empathy-3.0
    >=net-misc/vinagre-3.0
    >=net-misc/vino-3.0
    >=net-wireless/gnome-bluetooth-3.0
    >=sys-apps/gnome-disk-utility-3.0.2-r300
    >=www-client/epiphany-3.0
    >=www-client/epiphany-extensions-3.0
    >=x11-terms/gnome-terminal-3.0
    # Documentation
    >=gnome-extra/yelp-3.0
    >=dev-util/gnome-devel-docs-3.0
    >=gnome-extra/gnome-user-docs-3.0
    # NetworkManager
    >=net-misc/networkmanager-0.8.99
    >=net-misc/networkmanager-pptp-0.8.99
    >=net-misc/networkmanager-openconnect-0.8.99
    >=net-misc/networkmanager-openvpn-0.8.99
    >=net-misc/networkmanager-openswan-0.8.99
    >=net-misc/networkmanager-vpnc-0.8.99
    >=gnome-extra/nm-applet-0.8.99
    # Meta packages
    >=gnome-base/gnome-core-apps-3.0
    >=gnome-base/gnome-extra-apps-3.0
    >=gnome-base/gnome-core-libs-3.0
    >=gnome-base/gnome-fallback-3.0
    >=gnome-base/gnome-light-3.0
    >=gnome-base/gnome-3.0
    # Misc applications
    >=gnome-extra/nautilus-open-terminal-0.19
    >=app-mobilephone/gnome-phone-manager-0.67
    >=app-accessibility/caribou-0.4
    app-admin/eselect-gnome-shell-extensions
    >=app-misc/tracker-0.12
    >=dev-libs/folks-0.6
    >=dev-libs/libgdata-0.9
    >=dev-python/pyatspi-2.2
    >=gnome-base/gconf-3.2
    >=gnome-extra/at-spi-2.2
    gnome-extra/gnome-contacts
    gnome-extra/gnome-documents
    gnome-extra/gnome-shell-extensions
    >=gnome-extra/nautilus-tracker-tags-0.12
    gnome-extra/sushi
    >=media-libs/clutter-1.7
    >=media-libs/cogl-1.7
    >=net-libs/gnome-online-accounts-3
    >=x11-libs/libcryptui-3
    >=x11-misc/alacarte-0.13.2-r50
    >=app-accessibility/accerciser-3.2

    >gnome-extra/sensors-applet-2.99


This is a compendium of blockers that I found in two posts in this forum. I added sensors-applet.

It seems to be working.
Back to top
View user's profile Send private message
Oniryczny
Apprentice
Apprentice


Joined: 01 Dec 2011
Posts: 207
Location: Poznań

PostPosted: Thu Dec 05, 2013 7:57 am    Post subject: Reply with quote

so... what is a need to be added to /etc/portage/package.mask to keep away from Gnome3 ?
_________________
cogito ergo sum
Back to top
View user's profile Send private message
Tony0945
Guru
Guru


Joined: 25 Jul 2006
Posts: 300

PostPosted: Thu Dec 05, 2013 10:51 am    Post subject: Reply with quote

Quote:

so... what is a need to be added to /etc/portage/package.mask to keep away from Gnome3 ?


Scroll up your screen to my post on Tue Dec 03, 2013 6:00 pm
Back to top
View user's profile Send private message
Oniryczny
Apprentice
Apprentice


Joined: 01 Dec 2011
Posts: 207
Location: Poznań

PostPosted: Thu Dec 05, 2013 11:27 am    Post subject: Reply with quote

but there is no such post... 6:00 P.M. ?
_________________
cogito ergo sum
Back to top
View user's profile Send private message
epsilon72
Guru
Guru


Joined: 20 Sep 2007
Posts: 566

PostPosted: Thu Dec 05, 2013 1:20 pm    Post subject: Reply with quote

You two must live in different timezones, hence the "no 6pm". See this post.
Back to top
View user's profile Send private message
Oniryczny
Apprentice
Apprentice


Joined: 01 Dec 2011
Posts: 207
Location: Poznań

PostPosted: Thu Dec 05, 2013 1:45 pm    Post subject: Reply with quote

so if I add all those to package.mask my Gnome2 will stay untouched and I won't be bothered about Gnome3 ?
_________________
cogito ergo sum
Back to top
View user's profile Send private message
Anon-E-moose
Advocate
Advocate


Joined: 23 May 2008
Posts: 2370
Location: Dallas area

PostPosted: Thu Dec 05, 2013 1:50 pm    Post subject: Reply with quote

Oniryczny wrote:
so if I add all those to package.mask my Gnome2 will stay untouched and I won't be bothered about Gnome3 ?


Depending on exactly what packages you have installed you may have to add another mask or two, but it's a good start.


Edit to add: eventually I expect the same thing to happen to gnome 2 as to kde 2/3, it will disappear unless someone creates an overlay.
_________________
Asus m5a99fx, FX 8320 - amd64-multilib, 3.15.9-zen, glibc-2.17, gcc-4.7.3-r1, eudev
xorg-server-1.16, openbox w/lxpanel, nouveau, oss4
Back to top
View user's profile Send private message
Oniryczny
Apprentice
Apprentice


Joined: 01 Dec 2011
Posts: 207
Location: Poznań

PostPosted: Thu Dec 05, 2013 2:19 pm    Post subject: Reply with quote

one of the computers that I use is too weak to handle Gnome3 so I use Gnome2 :(
_________________
cogito ergo sum
Back to top
View user's profile Send private message
depontius
Advocate
Advocate


Joined: 05 May 2004
Posts: 2584

PostPosted: Sat Dec 07, 2013 9:50 pm    Post subject: Reply with quote

I've started another thread, "HowTo mask gnome-3.8" which might help. I'm sure it's neither complete nor comprehensive, but it works for the three deskside systems at my house. Feel free to post suggestions.

I don't actually use gnome, just some gnome packages that I happen to like. So I was quite unhappy when last Sunday the updates started changing my system into gnome/systemd.
_________________
.sigs waste space and bandwidth
Back to top
View user's profile Send private message
alcorel
n00b
n00b


Joined: 02 Mar 2004
Posts: 68

PostPosted: Sun Dec 08, 2013 10:09 am    Post subject: Reply with quote

if you need to reinstal gnome 2, use this file with a desktop profile:
/etc/portage/package.mask/package.mask.gnome3
Code:
>=app-accessibility/orca-3
>=gnome-extra/gnome-media-3
>=gnome-base/gnome-panel-3
>gnome-base/gvfs-1.12.3-r1
>=gnome-extra/gnome-utils-3
>=media-gfx/gnome-font-viewer-3
>=gnome-extra/gnome-user-docs-3
>=gnome-extra/gnome-screensaver-3
>=gnome-base/gconf-3
>=dev-libs/libgweather-3
>=gnome-base/libgnomekbd-3
>=gnome-base/gnome-menus-3
>=x11-themes/gnome-backgrounds-3
>=x11-misc/alacarte-3
>=media-video/gnome-video-effects-0.4
>=app-text/recode-3
>=x11-libs/libwnck-3
>=gnome-extra/nautilus-sendto-3
>=x11-libs/gtksourceview-3
>=gnome-extra/gnome-calculator-3
>=x11-themes/gnome-icon-theme-symbolic-3
>=x11-themes/gnome-icon-theme-extras-3
>=x11-themes/gnome-icon-theme-3
>=dev-libs/libgweather-3
>=app-admin/gnome-system-log-3
>=sys-apps/baobab-3
>gnome-extra/gucharmap-3.0.1-r200
>=app-dicts/gnome-dictionary-3
>=gnome-extra/gtkhtml-4
>=games-puzzle/gnome-tetravex-3
>=gnome-extra/gnome-system-monitor-3
>=games-board/gnome-mahjongg-3
>=games-board/gnome-mines-3
>=games-puzzle/gnome-klotski-3
>=games-board/tali-3
>=games-puzzle/five-or-more-3
>=dev-python/pygobject-3
>=games-puzzle/gnome-sudoku-3
>=games-board/gnome-chess-3
>=app-crypt/gcr-3
>=games-puzzle/lightsoff-3
>=games-puzzle/swell-foop-3
>=dev-libs/totem-pl-parser-3
>=gnome-base/gnome-keyring-3
>=gnome-base/libgnome-keyring-3
>=net-misc/vino-3
>=gnome-extra/gnome-search-tool-3
>=app-arch/file-roller-3
>=net-analyzer/gnome-nettool-3
>=gnome-base/gnome-desktop-3
>=app-text/evince-3
>=media-gfx/eog-3
>=net-libs/webkit-gtk-2.0.4:3
>=net-libs/telepathy-farstream-0.6
>=net-libs/gnome-online-accounts-3
>=gnome-extra/zenity-3
>=www-client/epiphany-3
>=gnome-extra/yelp-3
>=gnome-extra/evolution-data-server-3
>=gnome-extra/gnome-documents-3
>=gnome-base/nautilus-3
>=gnome-extra/sushi-3
>=x11-wm/mutter-3
>=media-video/cheese-3
>=media-gfx/gnome-screenshot-3
>=games-arcade/gnome-robots-3
>=games-arcade/gnome-nibbles-3
>=games-board/four-in-a-row-3
>=games-board/aisleriot-3
>=games-puzzle/quadrapassel-3
>=net-misc/vinagre-3
>=mail-client/evolution-3
>=games-board/iagno-3
>=media-video/totem-3
>=app-cdr/brasero-3
>=gnome-extra/gconf-editor-3
>=gnome-extra/gnome-power-manager-3
>=x11-terms/gnome-terminal-3
>=gnome-base/gnome-settings-daemon-3
>=gnome-extra/gnome-color-manager-3
>=gnome-base/gnome-session-3
>=net-im/empathy-3
>=app-crypt/seahorse-3
>=gnome-extra/gnome-contacts-3
>=gnome-base/gnome-core-libs-3
>=gnome-base/gnome-control-center-3
>=media-sound/sound-juicer-3
>=app-editors/gedit-3
>=gnome-base/gnome-core-apps-3
>=gnome-base/gdm-3
>=gnome-base/gnome-shell-3
>=app-admin/eselect-gnome-shell-extensions-2
>=gnome-extra/gnome-shell-extensions-3
>=gnome-base/gnome-extra-apps-3
>=gnome-base/gnome-3
>=gnome-base/gnome-fallback-3
>=gnome-extra/mousetweaks-3
>=x11-wm/mutter-3


Code:
# emerge -pv gnome

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] media-libs/libdiscid-0.2.2  USE="-static-libs" 0 kB
[ebuild  N     ] net-misc/netkit-fingerd-0.17-r3  25 kB
[ebuild  N     ] net-analyzer/traceroute-2.0.18  USE="-static" 66 kB
[ebuild  N     ] media-libs/libquvi-scripts-0.4.14  USE="-offensive" 0 kB
[ebuild  N     ] sys-apps/paxctl-0.7-r2  0 kB
[ebuild  N     ] media-libs/libv4l-0.8.9  450 kB
[ebuild  N     ] virtual/cdrtools-0  0 kB
[ebuild  N     ] app-cdr/dvd+rw-tools-7.1-r1  0 kB
[ebuild  N     ] dev-libs/libisofs-1.3.2  USE="acl zlib -debug -static-libs -verbose-debug -xattr" 0 kB
[ebuild  N     ] dev-libs/libburn-1.3.2  USE="-cdio -debug -static-libs -track-src-odirect" 0 kB
[ebuild  N     ] dev-games/libggz-0.0.14.1  USE="-debug -gnutls -static-libs" 467 kB
[ebuild  N     ] dev-libs/libical-0.48  USE="-examples" 1,147 kB
[ebuild  N     ] dev-libs/fribidi-0.19.5-r1  USE="-static-libs" 0 kB
[ebuild  N     ] media-libs/libtheora-1.1.1  USE="encode -doc -examples -static-libs" 0 kB
[ebuild  N     ] dev-lang/lua-5.1.5  USE="deprecated readline -emacs -static" 0 kB
[ebuild  N     ] media-libs/libquvi-0.4.1  USE="-examples -static-libs" 0 kB
[ebuild  N     ] net-libs/neon-0.29.6-r2  USE="nls ssl zlib -doc -expat -gnutls -kerberos -libproxy -pkcs11 -static-libs" LINGUAS="fr -cs -de -ja -nn -pl -ru -tr -zh_CN" 862 kB
[ebuild  N     ] net-dns/bind-tools-9.9.3_p2  USE="ipv6 readline ssl xml -doc -gssapi -idn -urandom" 7,285 kB
[ebuild  N     ] sys-devel/gdb-7.5.1  USE="client nls python server zlib -expat -multitarget {-test} -vanilla" 20,858 kB
[ebuild  N     ] dev-games/ggz-client-libs-0.0.14.1-r1  USE="-debug -static-libs" 600 kB
[ebuild  N     ] net-misc/whois-5.0.25  USE="iconv nls -idn" 71 kB
[ebuild  N     ] dev-lang/vala-0.22.1:0.22  USE="vapigen {-test}" 0 kB
[ebuild  N     ] gnome-base/libbonobo-2.24.3  USE="-debug -doc -examples {-test}" 0 kB
[ebuild  N     ] dev-python/pyxdg-0.25  USE="{-test}" PYTHON_TARGETS="python2_7 python3_3 (-pypy2_0) -python2_6 -python3_2" 0 kB
[ebuild  N     ] dev-libs/libgdata-0.8.1-r2  USE="introspection -debug -gnome" 0 kB
[ebuild  N     ] media-plugins/gst-plugins-gio-0.10.36:0.10  0 kB
[ebuild  N     ] net-libs/telepathy-glib-0.20.4  USE="introspection vala -debug {-test}" PYTHON_TARGETS="python2_7 -python2_6" 3,750 kB
[ebuild  N     ] gnome-base/gsettings-desktop-schemas-3.8.2  USE="introspection" 0 kB
[ebuild  N     ] dev-python/pyorbit-2.24.0-r1  PYTHON_TARGETS="python2_7 -python2_6" 287 kB
[ebuild  N     ] x11-themes/gnome-backgrounds-2.32.0  9,688 kB
[ebuild  N     ] gnome-extra/gnome-user-docs-2.32.0  USE="{-test}" 17,441 kB
[ebuild  N     ] dev-python/gst-python-0.10.22-r1:0.10  USE="-examples {-test}" PYTHON_TARGETS="python2_7 -python2_6" 0 kB
[ebuild  NS    ] app-text/docbook-xml-dtd-4.5-r1:4.5 [4.1.2-r6:4.1.2, 4.2-r2:4.2, 4.3-r1:4.3, 4.4-r2:4.4] 0 kB
[ebuild  N     ] dev-python/pycurl-7.19.0-r3  USE="ssl -examples" CURL_SSL="openssl -gnutls -nss" PYTHON_TARGETS="python2_7 python3_3 -python2_6 -python3_2" 0 kB
[ebuild  N     ] gnome-base/gnome-mime-data-2.18.0  USE="-debug" 0 kB
[ebuild  N     ] dev-python/pyasn1-0.1.7  USE="-doc" PYTHON_TARGETS="python2_7 python3_3 (-pypy2_0) -python2_6 -python3_2" 67 kB
[ebuild  N     ] media-libs/musicbrainz-3.0.3:3  USE="{-test}" 104 kB
[ebuild  N     ] media-plugins/gst-plugins-theora-0.10.36:0.10  0 kB
[ebuild  NS    ] sys-devel/automake-1.11.6:1.11 [1.12.6:1.12, 1.13.4:1.13] 0 kB
[ebuild  N     ] media-plugins/gst-plugins-soup-0.10.31:0.10  0 kB
[ebuild  N     ] app-text/xmlto-0.0.24-r1  USE="-latex" 0 kB
[ebuild  N     ] dev-python/python-ldap-2.4.10  USE="ssl -doc -examples -sasl" 132 kB
[ebuild  N     ] media-plugins/gst-plugins-v4l2-0.10.31:0.10  USE="udev" 0 kB
[ebuild  N     ] dev-tcltk/togl-2.0-r2  USE="threads -debug" 240 kB
[ebuild  N     ] media-plugins/gst-plugins-pango-0.10.36:0.10  0 kB
[ebuild  N     ] media-libs/freeglut-2.8.1  USE="-debug -static-libs" 0 kB
[ebuild  N     ] x11-libs/pangox-compat-0.0.2  0 kB
[ebuild  N     ] dev-python/pyopengl-3.0.2-r1  USE="tk" PYTHON_TARGETS="python2_7 python3_3 -python2_6 -python3_2" 872 kB
[ebuild  N     ] dev-python/pycups-1.9.63  USE="-doc -examples" PYTHON_TARGETS="python2_7 (-pypy2_0) -python2_6" 0 kB
[ebuild  N     ] x11-libs/libwnck-2.31.0:1  USE="introspection startup-notification -doc" 0 kB
[ebuild  N     ] gnome-base/libgnomecanvas-2.30.3  USE="-doc -glade {-test}" 179 kB
[ebuild  N     ] gnome-extra/gucharmap-3.0.1-r200  USE="introspection -cjk -debug -doc" 3,199 kB
[ebuild  N     ] app-misc/geoclue-0.12.99  USE="gtk -connman -geonames -gps -gsmloc -hostip -manual -networkmanager -nominatim -plazes -skyhook -static-libs -yahoo-geo" 0 kB
[ebuild  N     ] media-gfx/gtkimageview-1.6.4  USE="-debug -doc -examples -static-libs {-test}" 1,131 kB
[ebuild  N     ] x11-libs/gtkglext-1.2.0-r1  USE="-debug" 0 kB
[ebuild  N     ] net-libs/webkit-gtk-1.8.3-r201:2  USE="geoloc gstreamer introspection jit spell webgl (-aqua) -coverage -debug {-test}" 7,631 kB
[ebuild  N     ] x11-themes/gnome-themes-2.32.1-r1  2,621 kB
[ebuild  N     ] media-gfx/imagemagick-6.8.6.8:0/6.8.6.8  USE="X bzip2 cxx jpeg lcms openmp pango png svg tiff truetype xml zlib -autotrace -corefonts -djvu -fftw -fontconfig -fpx -graphviz -hdri -jbig -jpeg2k -lqr -lzma -opencl -openexr -perl -postscript -q32 -q64 -q8 -raw -static-libs {-test} -webp -wmf" 0 kB
[ebuild  N     ] gnome-base/gnome-menus-2.30.5-r1  USE="introspection python -debug" 0 kB
[ebuild  N     ] dev-python/gnome-python-base-2.28.1:2  0 kB
[ebuild  N     ] dev-python/gnome-python-desktop-base-2.32.0  607 kB
[ebuild  N     ] app-crypt/gpgme-1.3.2:1  USE="-common-lisp -static-libs" 0 kB
[ebuild  N     ] app-text/evince-2.32.0-r4  USE="dbus introspection postscript tiff -debug -djvu -dvi -gnome -gnome-keyring -nautilus -t1lib" 2,242 kB
[ebuild  N     ] dev-python/pygtkglext-1.1.0  USE="-examples" 0 kB
[ebuild  N     ] media-video/dvdauthor-0.7.0  USE="-graphicsmagick" 0 kB
[ebuild  N     ] dev-python/libwnck-python-2.32.0  USE="-examples" 0 kB
[ebuild  N     ] dev-python/libgnomecanvas-python-2.28.1:2  USE="-examples" 0 kB
[ebuild  N     ] dev-libs/gmime-2.6.19:2.6  USE="-doc -mono -static-libs -vala" 0 kB
[ebuild  N     ] dev-libs/totem-pl-parser-2.32.6-r3  USE="introspection quvi -archive" 0 kB
[ebuild  N     ] gnome-extra/zenity-2.32.1  USE="compat libnotify -debug" 3,056 kB
[ebuild  N     ] dev-python/notify-python-0.1.1-r3  USE="-examples" PYTHON_TARGETS="python2_7 -python2_6" 210 kB
[ebuild  N     ] app-admin/system-config-printer-common-1.3.12  USE="policykit -doc" 927 kB
[ebuild  N     ] gnome-base/gnome-desktop-2.32.1-r2:2  USE="-debug -license-docs" PYTHON_TARGETS="python2_7 -python2_6" 0 kB
[ebuild  N     ] dev-python/gconf-python-2.28.1:2  USE="-examples" 0 kB
[ebuild  N     ] dev-libs/libgweather-2.30.3:2  USE="python" 0 kB
[ebuild  N     ] gnome-base/gnome-vfs-2.24.4-r1:2  USE="acl fam ipv6 ssl -avahi -doc -gnutls -kerberos -samba {-test}" 0 kB
[ebuild  N     ] gnome-extra/gtkhtml-3.32.2:3.14  1,189 kB
[ebuild  N     ] gnome-extra/bug-buddy-2.32.0-r2:2  USE="-eds" 685 kB
[ebuild  N     ] app-editors/gedit-2.30.4  USE="python spell -doc" 4,596 kB
[ebuild  N     ] gnome-extra/gnome-system-monitor-2.28.2-r1  2,382 kB
[ebuild  N     ] net-analyzer/gnome-nettool-2.32.0  USE="-debug" 632 kB
[ebuild  N     ] app-arch/file-roller-2.32.2  USE="-nautilus" 1,858 kB
[ebuild  N     ] gnome-extra/gconf-editor-2.32.0  1,365 kB
[ebuild  N     ] app-admin/system-config-printer-gnome-1.3.12  USE="-gnome-keyring" LINGUAS="fr -ar -as -bg -bn -bn_IN -br -bs -ca -cs -cy -da -de -el -en_GB -es -et -fa -fi -gu -he -hi -hr -hu -hy -id -is -it -ja -ka -kn -ko -lo -lv -mai -mk -ml -mr -ms -nb -nl -nn -or -pa -pl -pt -pt_BR -ro -ru -si -sk -sl -sr -sr@latin -sv -ta -te -th -tr -uk -vi -zh_CN -zh_TW" 0 kB
[ebuild  N     ] gnome-extra/yelp-2.30.2-r200  USE="-debug -lzma" 723 kB
[ebuild  N     ] gnome-extra/evolution-data-server-2.32.3-r3  USE="ipv6 ldap weather -gnome-keyring -kerberos {-test}" 0 kB
[ebuild  N     ] dev-python/gnome-vfs-python-2.28.1:2  USE="-doc -examples" 0 kB
[ebuild  N     ] x11-themes/gnome-themes-standard-3.8.4  USE="gtk" 0 kB
[ebuild  N     ] gnome-extra/gcalctool-6.6.2  946 kB
[ebuild  N     ] gnome-extra/gnome-screensaver-2.30.2-r1  USE="branding libnotify opengl pam -debug -doc" 4,716 kB
[ebuild  N     ] media-gfx/eog-2.32.1:1  USE="dbus exif jpeg lcms python svg tiff -debug -xmp" 2,739 kB
[ebuild  N     ] dev-python/bug-buddy-python-2.32.0  0 kB
[ebuild  N     ] dev-python/gnome-desktop-python-2.32.0  0 kB
[ebuild  N     ] gnome-extra/evolution-webcal-2.32.0  160 kB
[ebuild  N     ] gnome-base/gnome-session-2.32.1-r3  USE="ipv6 -debug -doc" 0 kB
[ebuild  N     ] gnome-base/nautilus-2.32.2.1-r2  USE="introspection -gnome {-test} -xmp" 0 kB
[ebuild  N     ] net-libs/gtk-vnc-0.5.3  USE="gtk3 introspection pulseaudio python -examples -sasl -vala" PYTHON_TARGETS="python2_7 -python2_6" 399 kB
[ebuild  N     ] media-libs/libao-1.1.0-r1  USE="alsa pulseaudio -mmap -nas -static-libs" 0 kB
[ebuild  N     ] gnome-base/libgnome-2.32.1-r1  USE="branding -debug -doc" 1,735 kB
[ebuild  N     ] gnome-base/gnome-settings-daemon-2.32.1-r2  USE="libnotify policykit pulseaudio -debug -smartcard" 0 kB
[ebuild  N     ] gnome-extra/gnome-utils-2.32.0-r2  USE="ipv6 -bonobo -debug -doc {-test}" 7,675 kB
[ebuild  N     ] x11-wm/metacity-2.34.13  USE="{-test} -xinerama" 1,622 kB
[ebuild  N     ] media-video/cheese-2.32.0  USE="-doc" 5,180 kB
[ebuild  N     ] mail-client/evolution-2.32.3-r1:2.0  USE="crypt gstreamer ldap python ssl (-clutter) -connman -kerberos -networkmanager" 0 kB
[ebuild  N     ] media-libs/sdl-mixer-1.2.12-r3  USE="flac mad mp3 vorbis wav -fluidsynth -midi -mikmod -mod -modplug -playtools -smpeg -static-libs -timidity" 3,621 kB
[ebuild  N     ] app-cdr/cdrdao-1.2.3-r1  USE="encode mad vorbis -gcdmaster" 0 kB
[ebuild  N     ] gnome-base/libbonoboui-2.24.5  USE="-doc -examples {-test}" 954 kB
[ebuild  N     ] gnome-base/gnome-control-center-2.32.1-r1:2  USE="-debug -eds" 2,227 kB
[ebuild  N     ] gnome-extra/gnome-games-2.28.2  USE="opengl sdl -artworkextra -guile {-test}" 24,901 kB
[ebuild  N     ] x11-terms/gnome-terminal-2.32.1-r1  2,265 kB
[ebuild  N     ] gnome-base/gnome-panel-2.32.1-r3  USE="bonobo introspection -eds -networkmanager" 0 kB
[ebuild  N     ] dev-python/libbonobo-python-2.28.1:2  USE="-examples" 0 kB
[ebuild  N     ] app-admin/pessulus-2.30.4  183 kB
[ebuild  N     ] x11-misc/alacarte-0.13.2  190 kB
[ebuild  N     ] net-analyzer/gnome-netstatus-2.28.2  USE="-debug" 572 kB
[ebuild  N     ] app-cdr/brasero-2.32.1-r1::x-portage  USE="cdr css dvd introspection libburn -caja -doc -playlist {-test} -vcd" 0 kB
[ebuild  N     ] media-video/totem-2.32.0-r2  USE="python youtube -bluetooth -debug -iplayer -lirc -nautilus -nsplugin (-tracker) -upnp-av" 0 kB
[ebuild  N     ] media-sound/sound-juicer-2.32.0-r1  USE="-debug {-test}" 2,127 kB
[ebuild  N     ] gnome-base/gnome-keyring-2.32.1-r1  USE="pam -debug {-test}" 1,582 kB
[ebuild  N     ] gnome-base/libgnome-keyring-2.32.0  USE="-debug {-test}" 403 kB
[ebuild  N     ] gnome-base/libgnomeui-2.24.5  USE="-doc {-test}" 1,407 kB
[ebuild  N     ] app-crypt/seahorse-2.32.0  USE="ldap libnotify -avahi -debug -doc (-introspection) {-test}" 2,433 kB
[ebuild  N     ] net-misc/vino-2.32.2-r2  USE="crypt ipv6 jpeg libnotify ssl telepathy zlib -avahi -debug -gnome-keyring -networkmanager" 837 kB
[ebuild  N     ] net-misc/vinagre-2.30.3  USE="ssh telepathy -applet -avahi {-test}" 2,391 kB
[ebuild  N     ] www-client/epiphany-2.30.6-r1  USE="nss -avahi -debug -doc (-introspection) -networkmanager {-test}" 5,790 kB
[ebuild  N     ] gnome-extra/gnome-power-manager-2.32.0-r3  USE="applet policykit -doc {-test}" 3,818 kB
[ebuild  N     ] x11-libs/libgksu-2.0.12-r1:2  USE="nls -doc -static-libs" 0 kB
[ebuild  N     ] dev-python/gnome-keyring-python-2.32.0  USE="-examples" 0 kB
[ebuild  N     ] dev-python/gnome-applets-python-2.32.0  USE="-examples" 0 kB
[ebuild  N     ] x11-libs/gksu-2.0.2-r1  USE="-doc -gnome" 0 kB
[ebuild  N     ] dev-python/libgnome-python-2.28.1:2  USE="-examples" 0 kB
[ebuild  N     ] gnome-extra/deskbar-applet-2.32.0  USE="spell -eds" 1,044 kB
[ebuild  N     ] gnome-base/gnome-applets-2.32.1.1-r2  USE="cpufreq gstreamer ipv6 policykit -networkmanager" 0 kB
[ebuild  N     ] app-admin/sabayon-2.30.1  3,657 kB
[ebuild  N     ] gnome-extra/hamster-applet-2.32.1-r1  USE="libnotify -eds" PYTHON_SINGLE_TARGET="python2_7 -python2_6" PYTHON_TARGETS="python2_7 -python2_6" 445 kB
[ebuild  N     ] gnome-base/gdm-2.20.11-r1::x-portage  USE="branding consolekit ipv6 pam tcpd -accessibility -afs -dmx -mate -mate-keyring -remote (-selinux) -xinerama" 0 kB
[ebuild  N     ] gnome-base/gnome-2.32.1-r2:2.0  USE="cdr cups dvdr ldap policykit -accessibility -mono" 0 kB
[blocks B      ] <gnome-extra/gnome-screensaver-3.0.0 ("<gnome-extra/gnome-screensaver-3.0.0" is hard blocking mate-extra/mate-screensaver-1.6.0)

Total: 137 packages (135 new, 2 in new slots), Size of downloads: 185,632 kB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (mate-extra/mate-screensaver-1.6.0::mate-overlay, installed) pulled in by
    >=mate-extra/mate-screensaver-1.6.0 required by (mate-base/mate-1.6.0::mate-overlay, installed)

  (gnome-extra/gnome-screensaver-2.30.2-r1::gentoo, ebuild scheduled for merge) pulled in by
    >=gnome-extra/gnome-screensaver-2.30.2 required by (gnome-base/gnome-2.32.1-r2::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


i dont know for gnome-themes-standard-3.8 and gsettings-desktop-schemas-3.8
excuse my bad english!


Last edited by alcorel on Sun Dec 08, 2013 6:47 pm; edited 1 time in total
Back to top
View user's profile Send private message
artbody
Guru
Guru


Joined: 15 Sep 2006
Posts: 314
Location: LB

PostPosted: Mon Dec 09, 2013 9:33 am    Post subject: Reply with quote

i think the Gnome3 + systemd developers are infected by Tablet-Cellphone-Android Virus :twisted:

SO i switched to
lightdm as displaymanager
and enlightenment (16)

USE="-gnome -systemd ..."

sorry GNOME
_________________
!! FUCK OFF # GNOME 3 # keep away from that developers - they are infected by Tablet-Cellphone-Android Virus :twisted:
AMD 64 X2 4200+ Asus M2NPV-VM Sockel AM2 - 6GB DDR800 - Monitor:Samsung 245B 1920x1200 GeForce 6150

achim
Back to top
View user's profile Send private message
eccerr0r
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 4004
Location: USA

PostPosted: Mon Dec 16, 2013 7:24 pm    Post subject: Masking gnome-3 entirely? (For Gnome2 users rudely awakened) Reply with quote

Gnome-3.6 was unstable and people had been using udev just fine with it, up until gnome-3.8 requires systemd.

However gnome-2.6.32 was stable and didn't need systemd, and now has been updated to gnome 3.8 which is an even bigger jump than from gnome-3.6.

Has anyone been able to clean up their use flags/masks to get a stable gnome-2.6.32 install once more, or will this be deprecated soon anyway? :(

Edit: changed title

Edit: More information:

The original Gentoo "release the hounds" mask change

Another thread about this issue (Merged to that thread. Trying to clean up some of the mess around masking Gnome 3. --pjp, 2014.01.08)
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed to be advocating?


Last edited by eccerr0r on Wed Dec 18, 2013 6:03 pm; edited 4 times in total
Back to top
View user's profile Send private message
Princess Nell
Guru
Guru


Joined: 15 Apr 2005
Posts: 535

PostPosted: Mon Dec 16, 2013 9:41 pm    Post subject: Reply with quote

You mean Gnome 2.32? I expect it'll go away. And from what I've seen in portage, I don't think masking gnome3 is being made easy. I had the same idea, but it would lead to pretty unwieldy /etc/portage/package.* files.

The best option is to switch to a plain desktop profile, get rid of everything gnome and look at alternative desktop environments, or roll your own. There's easily more than a dozen useful window managers out there.

I switched to the mate overlay and am keeping some gnome2 and some gnome3 components. The package.mask file has 6 lines, and could probably be smaller if I got rid of gdm. package.accept_keywords had some 30-odd lines added for mate, that's about it.
Back to top
View user's profile Send private message
eccerr0r
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 4004
Location: USA

PostPosted: Tue Dec 17, 2013 12:12 am    Post subject: Reply with quote

Whoops, yes Gnome-2.32.

Yeah it will be quite a mess to mask. Though it may end up with a lot of blocks I wish real max version requirements were annotated in the ebuilds to automatically stay at a certain version.

My current worries: I am actually using Evolution and wonder what kind of a mess it will be if I switch to lxde. It's working just fine right now, including sync with my N900 so I wish I could keep it that way...

I guess I could keep one machine or a VM with gnome2 but it will be a pain to maintain that machine.

I finally got one VM running systemd, sort of... it seems very flaky so I'm hesitant putting it on my "production" machines just yet.
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed to be advocating?
Back to top
View user's profile Send private message
aCOSwt
Moderator
Moderator


Joined: 19 Oct 2007
Posts: 2537
Location: Hilbert space

PostPosted: Tue Dec 17, 2013 8:24 am    Post subject: Reply with quote

Masking gnome-3 entirely ? : My 2cts :

1/ I'd prevent 3.8 by copying the old 3.8 mask in my /etc/portage/package.mask
2/ And prevent 3.6 by running stable.

BTW, I did not try, I do not run Gnome.
_________________
Back to top
View user's profile Send private message
eccerr0r
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 4004
Location: USA

PostPosted: Tue Dec 17, 2013 3:35 pm    Post subject: Reply with quote

That looks like a really good start. I kind of figured a huge mask list is going to be needed. That splitup of all the gnome-games was kind of unexpected. Hmm...

[Edit]

Tried it, and looks like more is needed, despite not having 3.6 unstable enabled...
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed to be advocating?
Back to top
View user's profile Send private message
steveL
Advocate
Advocate


Joined: 13 Sep 2006
Posts: 2702
Location: The Peanut Gallery

PostPosted: Tue Dec 17, 2013 3:54 pm    Post subject: Reply with quote

I thought the profile was supposed to do this: isn't that the point of a systemd profile, after all?

I'd have thought the gnome3 profile would inherit from systemd, and things would be masked elsewhere, since they clearly cannot run without systemd, and the profile was put in place to ensure that systemd folks could set whatever crazy stuff they liked, especially wrt vendor lock-in, without affecting the rest of us.
Back to top
View user's profile Send private message
eccerr0r
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 4004
Location: USA

PostPosted: Tue Dec 17, 2013 4:40 pm    Post subject: Reply with quote

No, I'm not even worried about systemd at this point. I'd like to keep gnome-2 but the problem is that in the gnome profile, gnome3 is now stable so it will pick this up in updates. Gnome3 will then get systemd which is yet a different problem.
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed to be advocating?
Back to top
View user's profile Send private message
aCOSwt
Moderator
Moderator


Joined: 19 Oct 2007
Posts: 2537
Location: Hilbert space

PostPosted: Tue Dec 17, 2013 4:59 pm    Post subject: Reply with quote

eccerr0r wrote:
That looks like a really good start. I kind of figured a huge mask list is going to be needed. That splitup of all the gnome-games was kind of unexpected. Hmm...

[Edit]

Tried it, and looks like more is needed, despite not having 3.6 unstable enabled...

If its not enough then you could try masking the packages listed in the last package stabilization list.
This is how I usually do in order to mask any stabilized kde-4.X.Y with Y!=5.

OK, a little bit of editing is going to be needed.
_________________
Back to top
View user's profile Send private message
saellaven
Apprentice
Apprentice


Joined: 23 Jul 2006
Posts: 285

PostPosted: Tue Dec 17, 2013 6:37 pm    Post subject: Reply with quote

If you're looking to stay on GNOME 2, here's my package.mask. There are likely duplicates since I grabbed two different lists a while ago and then added some more when 3.8 hit stable. You may or may not need to tweak the list and, keep in mind, GNOME 2 will likely be leaving the tree at some point. Further, this list may need to be updated every time a new package hits the system since the GNOME devs upstream chose to keep the same library names while breaking backward compatibility. You may wish to consider moving to Mate, as I have done, which is essentially GNOME 2 with the library names changed to not conflict with GNOME 3.

#FOAD
sys-apps/systemd

#
# This will mask GNOME 3.2 packages in portage
#
# Updated 2011-11-26
#

# GNOME 3.2 stuff
>=app-accessibility/caribou-0.4
app-admin/eselect-gnome-shell-extensions
>=app-misc/tracker-0.12
>=dev-libs/folks-0.6
>=dev-libs/libgdata-0.9
>=dev-python/pyatspi-2.2
>=gnome-base/gconf-3.2
>=gnome-base/gdm-3.2
>=gnome-extra/at-spi-2.2
gnome-extra/gnome-contacts
gnome-extra/gnome-documents
gnome-extra/gnome-shell-extensions
>=gnome-extra/nautilus-tracker-tags-0.12
gnome-extra/sushi
>=media-libs/clutter-1.7
>=media-libs/cogl-1.7
>=net-libs/gnome-online-accounts-3
>=x11-libs/libcryptui-3
>=x11-misc/alacarte-0.13.2-r50
>=app-accessibility/accerciser-3.2
# GNOME 3 core libs
>=dev-libs/libgweather-3.0
>=gnome-base/libgnomekbd-3.0
=media-libs/libcanberra-0.28-r4
# Core Applications
>=app-accessibility/orca-3.0
>=gnome-base/gdm-3.0
>=gnome-base/gnome-applets-3.0
>=gnome-base/gnome-keyring-3.0
>=gnome-base/gnome-menus-3.0
>=gnome-base/gnome-panel-3.0
>=gnome-base/gnome-session-3.0
>=gnome-base/gnome-settings-daemon-3.0
>=gnome-base/gnome-control-center-3.0
>=gnome-base/gnome-shell-3.0
>=gnome-base/libgnome-keyring-3.0
>=gnome-base/nautilus-3.0
>=x11-wm/metacity-2.34
>=x11-wm/mutter-3.0
# Extra Applications
>=app-arch/file-roller-3.0
>=app-cdr/brasero-3.0
>=app-crypt/seahorse-3.0
>=app-editors/gedit-3.0
>=app-editors/gedit-plugins-3.0
>=app-text/gtranslator-2.90
>=app-text/evince-3.0
>=dev-util/anjuta-3.0
>=app-pda/gtkpod-2.1.0
>=dev-util/devhelp-3.0
>=gnome-extra/drwright-3.0
>=gnome-extra/evolution-data-server-3.0
>=gnome-extra/evolution-exchange-3.0
>=gnome-extra/gcalctool-6.0
>=gnome-extra/gconf-editor-3.0
>=gnome-extra/gnome-color-manager-3.0
>=gnome-extra/gnome-games-3.0
>=gnome-extra/gnome-games-extra-data-3.0
>=gnome-extra/gnome-media-2.32.0-r300
>=gnome-extra/gnome-packagekit-3.0
>=gnome-extra/gnome-power-manager-3.0
>=gnome-extra/gnome-screensaver-3.0
>=gnome-extra/gnome-system-monitor-3.0
>=gnome-extra/gnome-tweak-tool-3.0
>=gnome-extra/gnome-user-share-3.0
>=gnome-extra/gnome-utils-3.0
#>=gnome-extra/gucharmap-3.0
>=gnome-extra/mousetweaks-3.0
>=gnome-extra/nautilus-sendto-3.0
gnome-extra/office-runner
>=gnome-extra/zenity-3.0
>=mail-client/evolution-3.0
>=media-gfx/eog-3.0
>=media-sound/rhythmbox-2.90
>=media-sound/sound-juicer-2.99
>=media-video/cheese-3.0
>=media-video/totem-3.0
>=net-analyzer/gnome-nettool-3.0
>=net-im/empathy-3.0
>=net-misc/vinagre-3.0
>=net-misc/vino-3.0
>=net-wireless/gnome-bluetooth-3.0
>=sys-apps/gnome-disk-utility-3.0.2-r300
>=www-client/epiphany-3.0
>=www-client/epiphany-extensions-3.0
>=x11-terms/gnome-terminal-3.0
# Documentation
>=gnome-extra/yelp-3.0
>=dev-util/gnome-devel-docs-3.0
>=gnome-extra/gnome-user-docs-3.0
# NetworkManager
>=net-misc/networkmanager-0.8.99
>=net-misc/networkmanager-pptp-0.8.99
>=net-misc/networkmanager-openconnect-0.8.99
>=net-misc/networkmanager-openvpn-0.8.99
>=net-misc/networkmanager-openswan-0.8.99
>=net-misc/networkmanager-vpnc-0.8.99
>=gnome-extra/nm-applet-0.8.99
# Meta packages
>=gnome-base/gnome-core-apps-3.0
>=gnome-base/gnome-extra-apps-3.0
>=gnome-base/gnome-core-libs-3.0
>=gnome-base/gnome-fallback-3.0
>=gnome-base/gnome-light-3.0
>=gnome-base/gnome-3.0
# Misc applications
>=gnome-extra/nautilus-open-terminal-0.19
>=app-mobilephone/gnome-phone-manager-0.67

#no gnome3
>=dev-libs/libgweather-3.0
>=gnome-base/libgnomekbd-3.0
#=media-libs/libcanberra-0.28-r4
# Core Applications
>=app-accessibility/orca-3.0
>=gnome-base/gdm-3.0
>=gnome-base/gnome-applets-3.0
>=gnome-base/gnome-keyring-3.0
>=gnome-base/gnome-menus-3.0
>=gnome-base/gnome-panel-3.0
>=gnome-base/gnome-session-3.0
>=gnome-base/gnome-settings-daemon-3.0
>=gnome-base/gnome-control-center-3.0
>=gnome-base/gnome-shell-3.0
>=gnome-base/libgnome-keyring-3.0
>=gnome-base/nautilus-3.0
>=x11-wm/metacity-2.34
>=x11-wm/mutter-3.0
# Extra Applications
>=app-arch/file-roller-3.0
>=app-cdr/brasero-3.0
>=app-crypt/seahorse-3.0
>=app-editors/gedit-3.0
>=app-editors/gedit-plugins-3.0
>=app-text/gtranslator-2.90
>=app-text/evince-3.0
>=dev-util/anjuta-3.0
>=app-pda/gtkpod-2.1.0
>=dev-util/devhelp-3.0
>=gnome-extra/drwright-3.0
>=gnome-extra/evolution-data-server-3.0
>=gnome-extra/evolution-exchange-3.0
>=gnome-extra/gcalctool-6.0
>=gnome-extra/gconf-editor-3.0
>=gnome-extra/gnome-color-manager-3.0
>=gnome-extra/gnome-games-3.0
>=gnome-extra/gnome-games-extra-data-3.0
>=gnome-extra/gnome-media-2.32.0-r300
>=gnome-extra/gnome-packagekit-3.0
>=gnome-extra/gnome-power-manager-3.0
>=gnome-extra/gnome-screensaver-3.0
>=gnome-extra/gnome-system-monitor-3.0
>=gnome-extra/gnome-tweak-tool-3.0
>=gnome-extra/gnome-user-share-3.0
>=gnome-extra/gnome-utils-3.0
#>=gnome-extra/gucharmap-3.0
>=gnome-extra/mousetweaks-3.0
>=gnome-extra/nautilus-sendto-3.0
gnome-extra/office-runner
>=gnome-extra/zenity-3.0
>=mail-client/evolution-3.0
>=media-gfx/eog-3.0
>=media-sound/rhythmbox-2.90
>=media-sound/sound-juicer-2.99
>=media-video/cheese-3.0
>=media-video/totem-3.0
>=net-analyzer/gnome-nettool-3.0
>=net-im/empathy-3.0
>=net-misc/vinagre-3.0
>=net-misc/vino-3.0
>=net-wireless/gnome-bluetooth-3.0
>=sys-apps/gnome-disk-utility-3.0.2-r300
>=www-client/epiphany-3.0
>=www-client/epiphany-extensions-3.0
>=x11-terms/gnome-terminal-3.0
# Documentation
>=gnome-extra/yelp-3.0
>=dev-util/gnome-devel-docs-3.0
>=gnome-extra/gnome-user-docs-3.0
# NetworkManager
>=net-misc/networkmanager-0.8.99
>=net-misc/networkmanager-pptp-0.8.99
>=net-misc/networkmanager-openconnect-0.8.99
>=net-misc/networkmanager-openvpn-0.8.99
>=net-misc/networkmanager-openswan-0.8.99
>=net-misc/networkmanager-vpnc-0.8.99
>=gnome-extra/nm-applet-0.8.99
# Meta packages
>=gnome-base/gnome-core-apps-3.0
>=gnome-base/gnome-extra-apps-3.0
>=gnome-base/gnome-core-libs-3.0
>=gnome-base/gnome-fallback-3.0
>=gnome-base/gnome-light-3.0
>=gnome-base/gnome-3.0
# Misc applications
>=gnome-extra/nautilus-open-terminal-0.19
>=app-mobilephone/gnome-phone-manager-0.67
>=app-accessibility/caribou-0.4
app-admin/eselect-gnome-shell-extensions
>=app-misc/tracker-0.12
>=dev-libs/folks-0.6
>=dev-libs/libgdata-0.9
>=dev-python/pyatspi-2.2
>=gnome-base/gconf-3.2
>=gnome-extra/at-spi-2.2
gnome-extra/gnome-contacts
gnome-extra/gnome-documents
gnome-extra/gnome-shell-extensions
>=gnome-extra/nautilus-tracker-tags-0.12
gnome-extra/sushi
>=media-libs/clutter-1.7
>=media-libs/cogl-1.7
>=net-libs/gnome-online-accounts-3
>=x11-libs/libcryptui-3
>=x11-misc/alacarte-0.13.2-r50
>=app-accessibility/accerciser-3.2

#no gnome 3.8
>mail-client/evolution-3.0
>gnome-extra/evolution-data-server-3.0
>=gnome-base/gnome-control-center-3.8
>gnome-base/gnome-settings-daemon-3.0
>gnome-base/gnome-common-3.7.0
>=gnome-base/gnome-3.6.2
=sys-apps/systemd-208-r2
gnome-base/gnome-menus:3
>=gnome-base/gconf-3.2
>gnome-base/libgnome-keyring-3.0
>gnome-extra/gconf-editor-3.0
>gnome-extra/gnome-system-monitor-3.0
>x11-themes/gnome-icon-theme-3.8
>=dev-libs/libgdata-0.13.0
>gnome-base/gnome-keyring-3.0
Back to top
View user's profile Send private message
Princess Nell
Guru
Guru


Joined: 15 Apr 2005
Posts: 535

PostPosted: Tue Dec 17, 2013 11:42 pm    Post subject: Reply with quote

This may help with Evolution: https://wiki.archlinux.org/index.php/Evolution#Using_Evolution_Outside_Of_Gnome.

I haven't had much luck with package masks like saellaven's. Sorting out the blockers was a nightmare.
Back to top
View user's profile Send private message
Tony0945
Guru
Guru


Joined: 25 Jul 2006
Posts: 300

PostPosted: Wed Dec 18, 2013 12:06 am    Post subject: Reply with quote

See this thread http://forums.gentoo.org/viewtopic-t-977288-highlight-.html which addresses both Mate and keeping Gnome 2. I have done both on two seperate machines, but I never used evolution, just cursed it's long builds.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page 1, 2, 3, 4, 5, 6, 7  Next
Page 1 of 7

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum